Hash models and Pocket PC support

Ideas, enhancements, feature requests and development related discussion.

Hash models and Pocket PC support

Postby KingVidiot » Fri Apr 28, 2006 4:28 am

Hello again,

Any luck getting Jpatch to save Hash models, not just open them?

Also, I wondered if the Java issue is still open to make it work on PocketPC. I can send you some Java build info if you like.

Thanks!
KingVidiot
 
Posts: 6
Joined: Thu Sep 22, 2005 8:07 pm

Postby sascha » Fri Apr 28, 2006 12:34 pm

Not yet, sorry.

Torf is working on a new implementation of hooks - we'll have to rework the import code anyway, and I'll give the .mld export a try then.

Also, I wondered if the Java issue is still open to make it work on PocketPC.

I'm afraid that JPatch won't run on Java 1.3. The current development version uses features from Java 1.5, but I was able to use RetroWeaver to generate a Java 1.4 compatible version.

So, for the next version, the main release will require Java 1.5, but I plan to add a retroweaved version which runs under Java 1.4 as well.
It's not only the class file compatibility and the new language features from 1.5 (Retroweaver takes care of that), but all the new API functions of 1.5 (and the bugfixes) that cause troubles: I have to be very careful to not use any method not present in the 1.4 API, and even worse - there are a lot of methods that do different things in 1.4 and in 1.5.

Long story short, it's a lot of work to keep JPatch Java 1.4 compatible, and I can't tell for how long I can keep this up.
I think that it would be even more work to make and keep it Java 1.3 compatible, so I can't do that.

The reason for supporting Java 1.4 is that Java 1.5 is not available on all platforms (for example, OSX 10.3 (Panther) users would need to buy an upgrade to OSX 10.4), so - if possible - there will be a 1.4 compatible version of JPatch 0.6.

As I don't know the pocket PC, do you know if there will be a Java 1.4 version for it?
sascha
Site Admin
 
Posts: 2792
Joined: Thu May 20, 2004 9:16 am
Location: Austria

Postby dphamhi » Fri Apr 28, 2006 12:46 pm

sascha wrote:... so - if possible - there will be a 1.4 compatible version of JPatch 0.6.
As I don't know the pocket PC, do you know if there will be a Java 1.4 version for it?


Concerning version 0.6 that's good news - if possible :wink:

As for PocketPC, I have one that I use to even do Word, Excel , powerpoint etc... but to do 3D-modelling ? The stylus cannot do the right click, center click etc. and keyboard shortcuts will be terrible. .. so I dont know if I missed something , but definitely do spline-based patch modelling on a 3 by 5 inces screen seem to me difficult. :roll:

Or are you thinking of PC tablets ?
~ dphamhi ~
dphamhi
 
Posts: 21
Joined: Mon Aug 23, 2004 8:40 am
Location: Paris


Return to Development

Who is online

Users browsing this forum: No registered users and 0 guests

cron